cmake_minimum_required(VERSION 3.5)
project(RN-Praxis)
set(CMAKE_C_STANDARD 11)

find_library(ZeroMQ zmq REQUIRED)

add_executable(distributor zmq_distributor.c key_value_pair.c zmq_worker.c)
add_executable(worker zmq_worker.c key_value_pair.c)

target_compile_options(distributor PRIVATE -Wall -Wextra -Wpedantic)
target_link_libraries(distributor PRIVATE)

# Packaging
set(CPACK_SOURCE_GENERATOR "TGZ")
set(CPACK_SOURCE_IGNORE_FILES ${CMAKE_BINARY_DIR} /\\..*$)
set(CPACK_VERBATIM_VARIABLES YES)
include(CPack)